commit 4230c28094e6b024b72c87b274aa47d56e835efa
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Aug 30 02:27:02 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 80c0310a53b..1af75d5a5a2 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250829
+20250830
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 68ad9e70d56..7895987ce0c 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,10 @@
+2025-08-29  liuhongt  <hongtao.liu@intel.com>
+
+	Backported from master:
+	2025-08-29  liuhongt  <hongtao.liu@intel.com>
+
+	* gcc.target/i386/pr120691.c: New test.
+
 2025-08-27  Nathaniel Shead  <nathanieloshead@gmail.com>
 
 	Backported from master:
diff --git a/libgcc/config/libbid/ChangeLog b/libgcc/config/libbid/ChangeLog
index 796f0c406e8..4aff301d39d 100644
--- a/libgcc/config/libbid/ChangeLog
+++ b/libgcc/config/libbid/ChangeLog
@@ -1,3 +1,16 @@
+2025-08-29  liuhongt  <hongtao.liu@intel.com>
+
+	Backported from master:
+	2025-08-29  liuhongt  <hongtao.liu@intel.com>
+
+	PR target/120691
+	* bid128_div.c: Fix _Decimal128 arithmetic error under
+	FE_UPWARD.
+	* bid128_rem.c: Ditto.
+	* bid128_sqrt.c: Ditto.
+	* bid64_div.c (bid64_div): Ditto.
+	* bid64_sqrt.c (bid64_sqrt): Ditto.
+
 2025-08-08  Release Manager
 
 	* GCC 15.2.0 released.

